<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.8                                                     |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est bas sur le module existant pour le tlchargement,     |
// | cette version permet le tlchargement sur plusieurs pages.           |
// | Mod Addon : PclZip -> http://www.phpconcept.net/pclzip/               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

$DownloadMulti = get_plugin_data($plugin_id);

global $template, $lang;
$template->set_filenames( array('plugin_admin_content' => $DownloadMulti->plugin_path.'template/DmAdmin.tpl') );

// Si le formulaire est post
// alors on crit la configuration
if ( isset($_POST['downloadmulti_group_id']) )
{
    // Si l'utilisateur n'a pas indiqu de groupe authotis  tlcharger les images
    if ($_POST['downloadmulti_group_id'] == '')
    {
        array_push($page['errors'], $lang['dl_error_group_id']);
    }

    if ($_POST['downloadmulti_archive_size'] == '')
    {
        array_push($page['errors'], $lang['dl_error_file_size']);
    }
    
    // Si il n'y a pas d'erreurs
    if (count($page['errors']) == 0)
    {
        $DownloadMulti->my_config['comment'] = $_POST['downloadmulti_comment'];
        $DownloadMulti->my_config['group_id'] = $_POST['downloadmulti_group_id'];
        $DownloadMulti->my_config['archive_size'] = $_POST['downloadmulti_archive_size'];
        $DownloadMulti->my_config['prefix'] = $_POST['downloadmulti_prefix'];
        $DownloadMulti->my_config['prefix_dir'] = $_POST['downloadmulti_prefix_dir'];
        //$DownloadMulti->my_config['active_msg'] = isset($_POST['downloadmulti_active_msg']);
        $DownloadMulti->save_config();
        global $page;
        array_push($page['infos'], $lang['dl_backup_config']);
    }
}

// Chargement des groupes utilisateurs
@$DmGroupId = $_POST['downloadmulti_group_id'];
$DownloadMulti->DmSelectGroup($DmGroupId);

$template->assign_var('DOWNLOADMULTI_COMMENT', $DownloadMulti->my_config['comment']);
$template->assign_var('DOWNLOADMULTI_GROUP_ID', $DownloadMulti->my_config['group_id']);
$template->assign_var('DOWNLOADMULTI_ARCHIVE_SIZE', $DownloadMulti->my_config['archive_size']);
$template->assign_var('DOWNLOADMULTI_PREFIX', $DownloadMulti->my_config['prefix']);
$template->assign_var('DOWNLOADMULTI_PREFIX_DIR', $DownloadMulti->my_config['prefix_dir']);
//$template->assign_var('DOWNLOADMULTI_ACTIVE_MSG', $DownloadMulti->my_config['active_msg'] ? 'checked="checked"' : '' );

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
?>
